Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028156
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-11-12 12:442014-12-30 23:27
ReporteregoitzView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision2661c5291828
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028156: When completing an invoice with grandtotal 0, the ispaid columns is filled with Y but the Finalsettlement is not filled

DescriptionWhen completing an invoice with grandtotal 0, the ispaid columns is filled with Y but the Finalsettlement is not filled.
Steps To Reproduce-Create a sales invoice header-
-create a line with 1 qty and price 0-.
-Complete
*See that the ispaid columns is filled=Y but Finalsettlement columns is still null.

On that status the invoice is processed by the fin_paymentmonitorprocess on each execution.
that affects the performance.
Proposed SolutionFill the Finalsettlement column with the date where the complete process is executed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0072362)
reinaldoguerra (developer)
2014-12-09 13:59

Test plan used:
1- Login into Openbravo ERP
2- Go to sales invoice window and create a new header
3- Create a line with qty 1 and price 0, for example leaving empty product selector field.
4- Complete it
5- Check table c_invoice and note that ispaid field is set to Y and finalsettlement takes the actual date which is when the document is being completed.
(0072572)
hgbot (developer)
2014-12-16 18:47

Repository: erp/devel/pi
Changeset: 2661c5291828b36aefdc2b3ee09b245b26aee406
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Mon Dec 08 18:15:02 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/2661c5291828b36aefdc2b3ee09b245b26aee406 [^]

Fixed bug 28156: Completing invoice with 0 grandtotal, finalsettlement is null.

Extension point executed when completing invoices stored procedure is finished, was modified to not only update isPaid field as Y, but also to fill the finalsettlement with the current date which is when the document with grandtotal as 0, is being completed.
Now when completing an invoice with grandtotal as 0, also the finalsettlement field will be filled, avoiding the invoice is processed by the fin_paymentmonitorprocess unnecessarily. This change affects purchase and sales flows.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
---
(0072573)
umartirena (developer)
2014-12-16 18:48

Code Review and Testing Done.
(0073226)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-12 12:44 egoitz New Issue
2014-11-12 12:44 egoitz Assigned To => dmiguelez
2014-11-12 12:44 egoitz Modules => Core
2014-11-12 12:44 egoitz Triggers an Emergency Pack => No
2014-11-12 12:45 egoitz Target Version => 3.0PR15Q1
2014-11-12 12:45 egoitz Assigned To dmiguelez => AtulOpenbravo
2014-12-08 04:20 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-12-08 04:20 reinaldoguerra Status new => scheduled
2014-12-09 13:59 reinaldoguerra Note Added: 0072362
2014-12-16 18:47 hgbot Checkin
2014-12-16 18:47 hgbot Note Added: 0072572
2014-12-16 18:47 hgbot Status scheduled => resolved
2014-12-16 18:47 hgbot Resolution open => fixed
2014-12-16 18:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2661c5291828b36aefdc2b3ee09b245b26aee406 [^]
2014-12-16 18:48 umartirena Review Assigned To => umartirena
2014-12-16 18:48 umartirena Note Added: 0072573
2014-12-16 18:48 umartirena Status resolved => closed
2014-12-16 18:48 umartirena Fixed in Version => pi
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073226


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker